#include <iostream>

using namespace std;

int main()
{
    int n,l,b;
    cin>>n>>l;
    int h[n];
    b=-1;
    for(int i=0;i<n;i++){
        cin>>h[i];
    }
    for(int i=0;i<n;i++){
        if(h[i]<=l){
            b=i+1;
            i=n;
        }
    }
    cout<<b<<endl;
    return 0;
}